# NixBucks
A simple budgeting app

![image](https://github.com/margual56/nix-bucks/assets/30444886/01f2485d-2153-4512-93a5-61e31d42f929)

# Install
If you are on Linux, you can download the Appimage from the latest release ([click here](https://github.com/margual56/nix-bucks/releases)).
Otherwise, you can install from the .deb package.

## About windows
"Smart Screen" will yell at you when you try to open this program, because it is not signed by a "trusted" source.
FYI, in this case a "trusted" source means literally anyone who has $2,000/year to spend on a key to sign the program.

Since I don't have a disposable $2K/year, just click "Show more" > "Run anyway".

# Usage
Remember that you can back up the config file, and also you can create copies to test new arrangements :)

# Planning
## Goals
- Provide a simple way to track subscription costs, expenses and income
- Provide the bottomline information that we want to know (montly balance, how much money will I have, etc)
- Store the information locally, while allowing for easy manual editing, parsing and reading of it.
- Zero tracking, 100% local processing
- Use the least amount of resources possible
- Be accurate

## Non-goals
- Provide detailed information
- Do statistics with the data

## Planned features
- [ ] Translation to Spanish (if you know more languages, please feel free to contribute)!
- [x] A complete overhaul of the UI: New colors, new layout, new design. I hired a professional designer to design this (please consider donating).
- [ ] A small banner at the bottom that only shows up the second time that you open the program. Once you dismiss it, it won't show up again. It will ask the user to consider donating to the project.
- [x] An icon for the application.
- [ ] A splash screen to organize profiles: save, copy, load, etc.
- [x] A refactor of the code: Cleanup, documentation and optimizations.

# Help!
If you know Rust and think you can help, please do! :)

And if you don't, you can also [buy me a coffee](https://ko-fi.com/margual56). Even a small amount really helps.
